sailpoint.object

## Class Field

- java.lang.Object
- - sailpoint.object.BaseAttributeDefinition
  - - sailpoint.object.Field

    public class Field
    extends BaseAttributeDefinition

### Field Summary

### Fields inherited from class sailpoint.object.BaseAttributeDefinition

`_allowedValues, _categoryName, _required, TYPE_BOOLEAN, TYPE_DATE, TYPE_INT, TYPE_LONG, TYPE_PERMISSION, TYPE_SECRET, TYPE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`Field()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getApplication()`
`java.lang.Object` `getAttribute(java.lang.String attribute)`
`java.lang.String` `getStringAttribute(java.lang.String name)`
`java.lang.String` `getUnqualifiedName()`

### Methods inherited from class sailpoint.object.BaseAttributeDefinition

`getCategoryName, getDefaultValue, getDescription, getDisplayName, getName, getType, isMulti, isMultiValued, isRequired, setCategoryName, setDefaultValue, setDescription, setDisplayName, setMulti, setMultiValued, setName, setRequired, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Field

    public Field()

### Method Detail

#### getUnqualifiedName

    public java.lang.String getUnqualifiedName()

#### getStringAttribute

    public java.lang.String getStringAttribute(java.lang.String name)

#### getApplication

    public java.lang.String getApplication()

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)